Bug 104446 - Function wizard sumif description indicates "conditions" instead of "condition"
Summary: Function wizard sumif description indicates "conditions" instead of "condition"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All All
: medium trivial
Assignee: Julien Nabet
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-06 20:48 UTC by hug.charlotte@gmail.com
Modified: 2016-12-09 10:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hug.charlotte@gmail.com 2016-12-06 20:48:31 UTC
Description:
Dans l'assistant de fonction SOMME.SI, le champ "critères" est écrit au pluriel alors qu'un seul critère ne peut être saisi.
il faut donc indiquer "critère" au singulier.

Steps to Reproduce:
1.ouvrir assistant fonction
2.chercher catégorie mathématiques
3.sélectionner fonction SOMME.SI

Actual Results:  
affiche critères au pluriel

Expected Results:
devrait afficher "critère" au singulier


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Xisco Faulí 2016-12-07 15:34:01 UTC Comment hidden (obsolete)
Comment 2 hug.charlotte@gmail.com 2016-12-07 17:58:18 UTC
Description:
In the assistant on the French version, SOMME.SI ( SUMIF), "critères" is written in plural (with s) but as only 1 criteria can be defined in SUMIF, it would be better to label it "critère" in singular.


Steps to Reproduce:
1.open function assistant
2.look for maths category
3.select "somme.si" (sumif)

Actual Results:  
display "critères" in plural

Expected Results:
display "critère" in singular
Comment 3 Julien Nabet 2016-12-07 21:13:28 UTC
In English, we can read:
"Totals the arguments that meet the conditions" so it seems also wrong in English.
Comment 4 Julien Nabet 2016-12-07 21:25:15 UTC
I submitted a patch on gerrit
Comment 5 Julien Nabet 2016-12-07 21:25:57 UTC
see https://gerrit.libreoffice.org/#/c/31739/
Comment 6 Commit Notification 2016-12-08 14:37:27 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e4649debc1d7b68fd93073cebd691d840c1fa6c

tdf#104446: there can only be 1 condition for SUMIF

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-12-08 14:40:22 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=85c8695677fbf7162857410213f9ae1a1a8a371b&h=libreoffice-5-3

tdf#104446: there can only be 1 condition for SUMIF

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2016-12-08 15:34:03 UTC
Sophie/Adolfo: I fixed the source file (so in English) in master and 5.3 branch but the translations must be updated. (beginning with French language to deal with this bug)
Any thought how we should proceed? (directly change on Pootle right now, other way?)
Comment 9 Adolfo Jayme 2016-12-08 16:05:32 UTC
@Julien: fixing the source string is enough. The change will be propagated automatically to Pootle and all translators will receive it.
Comment 10 Julien Nabet 2016-12-08 20:08:00 UTC
(In reply to Adolfo Jayme from comment #9)
> @Julien: fixing the source string is enough. The change will be propagated
> automatically to Pootle and all translators will receive it.

Thank you Adolfo for your feedback. What's the delay for Pootle propagation?
Indeed, I checked here https://translations.documentfoundation.org/fr/libo_ui/translate/#search=bvEru&sfields=source,target,notes, I still got the former label.
Comment 11 sophie 2016-12-09 10:08:07 UTC
Hi Julien, we have currently a perf issue with Pootle and we are planing a Pootle upgrade for next week. Once done, we will update the template in Pootle and the fix will be propagated to langages. Thanks for your fix :) Sophie